#include <math.h>
#include "secant.h"

double TNTargetF(double x)
{
  return cos(x) - x;
}

void main()
{
  int iter, error = 0, maxiter = 10000;
  double tol = 1e-16;
  double guess1 = 1.0, guess2 = 5.0;
  double root, value;

  Secant(guess1, guess2, tol, maxiter,
	 &root, &value, &iter, &error, TNTargetF);
}
